<?php
/**
 * @package    System
 * @subpackage DzingaCallback
 *
 * @author     Dzinga <support@dzinga.com>
 * @copyright  All rights reserved by Dzinga 2017
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       www.dzinga.com
 */

defined('_JEXEC') or die;

jimport('joomla.form.formfield');

class JFormFieldWidgetinfo extends JFormField
{
	protected $type = 'Widgetinfo';

	/**
	 * Method to get the field markup - info for dzinga code address
	 *
	 * @return  string  The field input markup.
	 */
	public function getInput()
	{
		$output = '<p style="
			color: #31708f;
			background-color: #d9edf7;
			padding: 15px;
			margin-bottom: 20px;
			border: 1px solid #bce8f1;
			border-radius: 4px;">';

		$output .= JText::_('PLG_DZINGACALLBACK_SETTINGS_INFO');
		$output .= 	' <u><a href="https://dzinga.com/en/products/callback/?utm_source=Joomla&utm_term=callback" target="_blank">';
		$output .= JText::_('PLG_DZINGACALLBACK_REGISTER');
		$output .= '</a></u>.</p>';

		return $output;
	}
}